> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-06-24-docs-simplify-date-zoom-usage-description.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get group

> Get a specific group by its SCIM ID



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/scim/v2/Groups/{id}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3228.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/scim/v2/Groups/{id}:
    get:
      tags:
        - SCIM
      summary: Get group
      description: Get a specific group by its SCIM ID
      operationId: GetScimGroup
      parameters:
        - description: SCIM ID of the group to retrieve
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimGroup'
              examples:
                Example 1:
                  value:
                    schemas:
                      - urn:ietf:params:scim:schemas:core:2.0:Group
                    id: 1456c265-f375-4d64-bd33-105c84ad9b5d
                    displayName: Org 1 Editor Group
                    members:
                      - value: 80fb8b59-d6b7-4ed6-b969-9849310f3e53
                        display: demo2@lightdash.com
                    meta:
                      resourceType: Group
                      created: '2025-11-03T14:22:24.067Z'
                      lastModified: '2025-11-03T14:22:24.067Z'
                      location: >-
                        https://<tenant>.lightdash.cloud/api/v1/scim/v2/Groups/1456c265-f375-4d64-bd33-105c84ad9b5d
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimErrorPayload'
      security: []
components:
  schemas:
    ScimGroup:
      properties:
        schemas:
          items:
            type: string
          type: array
        id:
          type: string
        meta:
          allOf:
            - properties:
                version:
                  type: string
                location:
                  type: string
                lastModified:
                  type: string
                  format: date-time
                created:
                  type: string
                  format: date-time
                resourceType:
                  type: string
              type: object
            - properties:
                location:
                  type: string
                lastModified:
                  type: string
                  format: date-time
                created:
                  type: string
                  format: date-time
                resourceType:
                  type: string
                  enum:
                    - Group
                  nullable: false
              required:
                - location
                - lastModified
                - created
                - resourceType
              type: object
        displayName:
          type: string
        members:
          items:
            $ref: '#/components/schemas/ScimGroupMember'
          type: array
      required:
        - schemas
        - id
        - displayName
        - meta
      type: object
      additionalProperties: true
    ScimErrorPayload:
      properties:
        status:
          type: string
          description: >-
            HTTP status code as a string, indicating the status of the response.

            For example: "400" for bad requests, "404" for not found, "500" for
            server errors.
        detail:
          type: string
          description: >-
            Human-readable description of the error, providing details about why
            the error occurred.
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.ERROR'
          type: array
          description: >-
            Array of schema URIs that describe the structure of the SCIM error
            response.

            Typically includes "urn:ietf:params:scim:api:messages:2.0:Error".
        scimType:
          type: string
          enum:
            - invalidFilter
            - tooMany
            - uniqueness
            - mutability
            - invalidSyntax
            - invalidPath
            - noTarget
            - invalidValue
            - invalidVers
            - sensitive
          description: >-
            NOTE: this is taken from the SCIM spec here:
            https://datatracker.ietf.org/doc/html/rfc7644#section-3.7.3

            A SCIM-specific error type that provides additional context for the
            error.

            - 'invalidFilter': The specified filter syntax was invalid or the
            attribute and comparison combination is not supported.
              Applicable for GET (Section 3.4.2), POST (Search - Section 3.4.3), PATCH (Path Filter - Section 3.5.2).
            - 'tooMany': The filter yields too many results for the server to
            process.
              Applicable for GET (Section 3.4.2), POST (Search - Section 3.4.3).
            - 'uniqueness': One or more attribute values are already in use or
            reserved.
              Applicable for POST (Create - Section 3.3), PUT (Section 3.5.1), PATCH (Section 3.5.2).
            - 'mutability': The modification is incompatible with the target
            attribute's mutability.
              Applicable for PUT (Section 3.5.1), PATCH (Section 3.5.2).
            - 'invalidSyntax': The request body structure was invalid or did not
            conform to the schema.
              Applicable for POST (Search - Section 3.4.3, Create - Section 3.3, Bulk - Section 3.7), PUT (Section 3.5.1).
            - 'invalidPath': The "path" attribute was invalid or malformed.
              Applicable for PATCH (Section 3.5.2).
            - 'noTarget': The specified "path" did not yield an attribute that
            could be operated on.
              Applicable for PATCH (Section 3.5.2).
            - 'invalidValue': A required value was missing, or the value
            specified was not compatible with the operation.
              Applicable for GET (Section 3.4.2), POST (Create - Section 3.3, Query - Section 3.4.3), PUT (Section 3.5.1), PATCH (Section 3.5.2).
            - 'invalidVers': The specified SCIM protocol version is not
            supported.
              Applicable for GET (Section 3.4.2), POST (ALL), PUT (Section 3.5.1), PATCH (Section 3.5.2), DELETE (Section 3.6).
            - 'sensitive': The request cannot be completed due to sensitive
            information passed in the URI.
              Applicable for GET (Section 3.4.2).
      required:
        - status
        - detail
        - schemas
      type: object
    ScimGroupMember:
      properties:
        value:
          type: string
        display:
          type: string
      required:
        - value
      type: object
      additionalProperties: true
    ScimSchemaType.ERROR:
      enum:
        - urn:ietf:params:scim:api:messages:2.0:Error
      type: string

````